singleton Material(hatch_light_race)
{
    mapTo = "hatch_light_race";
    diffuseMap[1] = "vehicles/hatch/race/hatch_lights_race_d.dds";
	diffuseMap[2] = "vehicles/hatch/race/hatch_lights_race_c.dds";
    specularMap[1] = "vehicles/hatch/hatch_lights_s.dds";
	specularMap[2] = "vehicles/hatch/hatch_lights_s.dds";
    normalMap[1] = "vehicles/hatch/hatch_lights_n.dds";
	normalMap[2] = "vehicles/hatch/hatch_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hatch/hatch_lights_n.dds";
    
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
	diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
	useAnisotropic[2] = "1";

    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(super)
{
    mapTo = "super";
    diffuseMap[2] = "vehicles/super/super_c.dds";
    specularMap[2] = "vehicles/super/super_s.dds";
    normalMap[2] = "vehicles/super/super_n.dds";
    diffuseMap[1] = "vehicles/super/super_d.dds";
    specularMap[1] = "vehicles/super/super_s.dds";
    normalMap[1] = "vehicles/super/super_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/super_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


 singleton Material("hatch.skin.bakersport")
{
   mapTo = "hatch.skin.bakersport";
   colorPaletteMap[2] = "vehicles/hatch/race/hatch_skin_bakersport_palette_uv1.dds";
   overlayMap[2] = "vehicles/hatch/race/hatch_skin_bakersport.dds";
   diffuseMap[2] = "vehicles/hatch/race/hatch_c_alt.dds";
   specularMap[2] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[2] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[1] = "vehicles/hatch/race/hatch_d.dds";
   specularMap[1] = "vehicles/hatch/hatch_s.dds";
   normalMap[1] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/hatch/hatch_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   specularPower[2] = "128";
   pixelSpecular[2] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true;
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(barstow_engine_v8)
{
    mapTo = "barstow_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_engine_v8_d.dds";
    normalMap[1] = "vehicles/barstow/barstow_engine_v8_n.dds";
    normalMap[0] = "vehicles/barstow/barstow_engine_v8_n.dds";
    specularMap[1] = "vehicles/barstow/barstow_engine_v8_s.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



